      implicit real*8 (a-h,o-z)

c     COMMON BLOCKS
      character*256  onamc      ! output filename
      integer        ionamc     !length of output filename
      integer        iofile     ! file number of output file
      character*256  inamc      ! input filename
      integer        iinamc     !length of input filename
      integer        iifile     ! file number of input file
      logical        q_int,q_verb,q_output  ! query interactive, verbose, output
      logical        q_random ! query random
      logical        q_input
      logical        q_warn ! query warning_disable
      integer        iseed      ! random seed
      real*8         precision  ! precision for finding angles 

c     --- separate common blocks for maximum portability ---
      common /cmm_ch/ onamc,inamc
      common /cmm_int/ ionamc,iofile, iinamc,iifile, iseed
      common /cmm_log/ q_int,q_random,q_verb,
     _     q_output,q_input,q_warn 
      common /cmm_r8/  precision

c     INITIALISED PARAMETERS
      real*8         pi,pi_180
      real*8         zerovec(4)
      parameter(pi=3.14159265358979323846d0,pi_180=pi/180.0d0)
      data   zerovec /0.0d0,0.0d0,0.0d0,0.0d0/

      real*8         toldef ! default tolerance
      parameter(toldef=1.0d-6)     


c     ---- parameters that should probably be made into command options ----
      real*8          f_theta
      parameter(f_theta = 0.55d0) 

      logical*4       debug
      parameter(debug=.false.) !.true.)


